<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Profile Page</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
<div class="container mt-4">
    <!-- Информация о профиле -->
    <div class="d-flex align-items-center justify-content-between mb-4">
        <div class="d-flex align-items-center">
            <div class="me-3">
                <img src="https://via.placeholder.com/100" alt="Avatar" class="rounded">
            </div>
            <div>
                <h1 class="h4 mb-0" th:text="${participantName}">Имя</h1>
                <p class="text-muted mb-0" th:text="'Участник в течение ' + ${dateOfParticipation} + ' дней'"></p>
                <p class="text-muted" th:text="'Последнее посещение ' + ${lastVisit}"></p>
            </div>
        </div>
        <div>
            <a href="/editProfile" class="btn btn-outline-secondary btn-sm">Редактировать профиль</a>
            <a href="/networkProfile" class="btn btn-outline-secondary btn-sm">Сетевой профиль</a>

        </div>
    </div>

    <!-- Навигация -->
    <ul class="nav nav-tabs mb-4">
        <li class="nav-item">
            <a class="nav-link active" href="/profile">Профиль</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="/activity">Активность</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="/bookmarks">Закладки</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="/settings">Настройки</a>
        </li>
    </ul>

    <!-- Основной контент -->
    <div class="row">
        <div class="col-md-4">
            <!-- Статистика -->
            <h6 class="card-title" style="font-size: 1.2rem;">Статистика</h6>
            <div class="card mb-4">
                <div class="card-body">
                    <div class="d-flex justify-content-between">
                        <div class="text-center">
                            <p id="reputation">0</p>
                            Репутация
                        </div>
                        <div class="text-center">
                            <p id="responses">0</p>
                            Ответов
                        </div>
                    </div>
                    <div class="d-flex justify-content-between mt-4">
                        <div class="text-center">
                            <p id="questions">0</p>
                            Вопросов
                        </div>
                        <div class="text-center">
                            <p id="issuesRaised">0</p>
                            Затронуто
                        </div>
                    </div>
                </div>
            </div>

            <!-- Сообщества -->
            <div class="d-flex justify-content-between align-items-center mb-4">
                <h6 class="card-title mb-0" style="font-size: 1.2rem;">Сообщества</h6>
                <button class="btn btn-link btn-sm"><a href="/editCommunities">Править</a></button>
            </div>
            <div class="card">
                <div class="card-body d-flex justify-content-between align-items-center">
                    <ul id="communitiesList" class="list-unstyled mb-0"></ul>
                </div>
            </div>
        </div>
        <!-- Секция о себе -->
        <div class="col-md-8">
            <h6 class="card-title" style="font-size: 1.2rem;">О себе</h6>
            <div class="card mb-4">
                <div class="card-body">
                    <p id="aboutMe" class="text-muted mb-0"></p>
                </div>
            </div>


            <!-- Знаки -->
            <h6 class="card-title" style="font-size: 1.2rem;">Знаки</h6>
            <div class="card mb-4">
                <div class="card-body">
                    <p id="badgesMessage" class="text-muted mb-0"></p>
                </div>
            </div>

            <!-- Сообщения -->
            <h6 class="card-title" style="font-size: 1.2rem;">Сообщения</h6>
            <div class="card">
                <div class="card-body">
                    <p id="messagesIntro" class="text-muted"></p>
                    <p id="messagesDetails" class="text-muted mb-0"></p>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>